Package org.eclipse.draw2d

# Class IFigure.NoInsets

java.lang.Object
org.eclipse.draw2d.geometry.Insets
org.eclipse.draw2d.IFigure.NoInsets

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Enclosing interface:
  IFigure

public static class IFigure.NoInsets extends Insets
Insets that are all 0. Always returns `true`for `isEmpty()`.``

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.draw2d.geometry.Insets

`bottom, left, right, top`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEmpty()`
Returns true if all values are 0.

### Methods inherited from class org.eclipse.draw2d.geometry.Insets

`add, equals, getAdded, getHeight, getNegated, getTransposed, getWidth, hashCode, min, toString, transpose`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### isEmpty

public boolean isEmpty()
Description copied from class: `Insets`
Returns true if all values are 0.

Overrides:
  `isEmpty` in class `Insets`
Returns:
  true if all values are 0